## iproute2 6.7.0

=== debian/changelog ===
iproute2 (6.7.0-2) unstable; urgency=medium

  * Backport fix for 'ss' output

 -- Luca Boccassi <bluca@debian.org>  Mon, 22 Jan 2024 12:24:29 +0000

iproute2 (6.7.0-1) unstable; urgency=medium

  * Add Italian debconf translation (Closes: #1056582)
  * Update upstream source from tag 'upstream/6.7.0'
  * Bump copyright year ranges in d/copyright
  * Drop 0002-Revert-Makefile-ensure-CONF_USR_DIR-honours-the-libd.patch,
    merged upstream
  * Default config files moved from /usr/lib to /usr/share

 -- Luca Boccassi <bluca@debian.org>  Fri, 12 Jan 2024 21:47:59 +0000

iproute2 (6.6.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.6.0'
  * Backport patch to fix configuration installation
  * Remove handling of qt_atm.so, dropped upstream

 -- Luca Boccassi <bluca@debian.org>  Sun, 05 Nov 2023 22:46:20 +0000

iproute2 (6.5.0-5) unstable; urgency=medium

  * Use dh-sequence-movetousr

 -- Luca Boccassi <bluca@debian.org>  Tue, 24 Oct 2023 15:24:01 +0100

iproute2 (6.5.0-4) unstable; urgency=medium

  * postinst: handle legacy config files only when upgrading from previous
    versions that shipped them
  * postinst: ensure that locally modified legacy config files are
    preserved as overrides on upgrade (Closes: #1051577)
  * Note configuration files location changes in NEWS

 -- Luca Boccassi <bluca@debian.org>  Sat, 16 Sep 2023 18:58:51 +0100

iproute2 (6.5.0-3) unstable; urgency=medium

  * Remove further leftovers as part of upstream's move of config to /usr
    (Closes: #1051577)

 -- Luca Boccassi <bluca@debian.org>  Mon, 11 Sep 2023 09:42:12 +0100

iproute2 (6.5.0-2) unstable; urgency=medium

  * Add maintscript to remove conffiles that upstream has moved to /usr
    (Closes: #1051577)

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Sep 2023 21:28:28 +0100

iproute2 (6.5.0-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Use wildcard for Lintian overrides

  [ Peter Kvillegård ]
  * Add Swedish translation of debconf messages (Closes: #1050442)

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/6.5.0'
  * Use cap_bpf instead of cap_sys_admin for ip vrf-exec
  * Package-provided config files are now shipped in /usr/iproute2 instead
    of /etc/iproute2

 -- Luca Boccassi <bluca@debian.org>  Sat, 09 Sep 2023 16:32:54 +0100
