## iproute2 6.9.0

=== debian/changelog ===
iproute2 (6.9.0-1) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes
  * Update upstream source from tag 'upstream/6.9.0'
  * Enable output with colors on terminals

 -- Luca Boccassi <bluca@debian.org>  Thu, 16 May 2024 10:30:39 +0100

iproute2 (6.8.0-1) unstable; urgency=medium

  [ Ceppo ]
  * Update Italian po-debconf translation (Closes: #1063002)

  [ Luca Boccassi ]
  * Add build dependency on libnsl-dev (Closes: #1065214)
  * Switch to pkgconf
  * Update upstream source from tag 'upstream/6.8.0'
  * Drop 0002-ss-show-extra-info-when-processes-is-not-used.patch, merged
    upstream
  * Drop iproute2-doc package
  * Drop tc/m_xt.so and tc/m_ipt.so, removed upstream

 -- Luca Boccassi <bluca@debian.org>  Tue, 12 Mar 2024 14:02:38 +0000
