## iproute2 6.10.0

=== debian/changelog ===
iproute2 (6.10.0-2ubuntu1) oracular; urgency=medium

  * Reintroduce Ubuntu Fan Support (LP: #2064508)

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 10 Oct 2024 14:19:10 +0100

iproute2 (6.10.0-2) unstable; urgency=medium

  * Team upload
  * Revert "Drop legacy /usr/sbin/ip symlink", as many packages still depend
    on /sbin/ip or /usr/sbin/ip

 -- Ben Hutchings <benh@debian.org>  Thu, 22 Aug 2024 01:41:38 +0200

iproute2 (6.10.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.10.0'
  * Drop legacy /usr/sbin/ip symlink

 -- Luca Boccassi <bluca@debian.org>  Fri, 19 Jul 2024 10:35:37 +0100
