## iproute2 6.13.0

=== debian/changelog ===
iproute2 (6.13.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Thu, 30 Jan 2025 21:31:15 +0000

iproute2 (6.13.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.13.0'

 -- Luca Boccassi <bluca@debian.org>  Fri, 24 Jan 2025 11:03:54 +0000

iproute2 (6.12.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Thu, 28 Nov 2024 12:54:10 +0000

iproute2 (6.12.0-1) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Update translations

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/6.12.0'

 -- Luca Boccassi <bluca@debian.org>  Thu, 21 Nov 2024 14:16:21 +0000

iproute2 (6.11.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Fri, 18 Oct 2024 18:22:14 +0100

iproute2 (6.11.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.11.0'

 -- Luca Boccassi <bluca@debian.org>  Tue, 08 Oct 2024 15:16:31 +0100

iproute2 (6.9.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Tue, 21 May 2024 13:05:38 +0100

iproute2 (6.8.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 May 2024 11:54:22 +0100

iproute2 (6.7.0-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Sat, 27 Jan 2024 18:37:46 +0000

iproute2 (6.6.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Dec 2023 13:12:08 +0000

iproute2 (6.5.0-5~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Revert "Use dh-sequence-movetousr" for bookworm-backports

 -- Luca Boccassi <bluca@debian.org>  Sat, 04 Nov 2023 00:25:07 +0000

iproute2 (6.3.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Upload to bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Tue, 20 Jun 2023 11:10:08 +0100
