=== debian/changelog ===
iproute2 (6.14.0-3) unstable; urgency=medium

  * autopkgtest: remove build-essential and dpkg-dev deps, add gcc
    (Closes: #1100113)
  * autopkgtest: add hint-testsuite-triggers for kernel and compiler
  * Fix Forwarded metadata field in backported patches
  * Backport patch to fix null pointer dereference

 -- Luca Boccassi <bluca@debian.org>  Sat, 12 Apr 2025 12:15:56 +0100

iproute2 (6.14.0-2) unstable; urgency=medium

  * Backport patches to fix color output with dark backgrounds (Closes:
    #1088739)

 -- Luca Boccassi <bluca@debian.org>  Sun, 06 Apr 2025 18:26:52 +0100

iproute2 (6.14.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.14.0'
  * Backport patches to support NO_COLOR env var from upstream
  * d/control: bump Standards-Version to 4.7.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Tue, 25 Mar 2025 10:13:53 +0000
