## iproute2 6.15.0

=== debian/changelog ===
iproute2 (6.15.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Sun, 01 Jun 2025 13:17:14 +0100

iproute2 (6.15.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.15.0'
    (Closes: #1106321)
  * Drop all backported patches, merged upstream
  * d/copyright: use GPL URL instead of old FSF postal address

 -- Luca Boccassi <bluca@debian.org>  Tue, 27 May 2025 00:16:26 +0100

iproute2 (6.14.0-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Tue, 22 Apr 2025 11:42:27 +0100
