=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: https://wiki.linuxfoundation.org/networking/iproute2
 Vcs-Browser: https://salsa.debian.org/kernel-team/iproute2
 Vcs-Git: https://salsa.debian.org/kernel-team/iproute2.git
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: bison,
                debhelper-compat (= 13),
