=== debian/changelog ===
iproute2 (6.16.0-1ubuntu2) questing; urgency=medium

  * patches: Sync UAPI if_link.h with Linux 6.17, and drop the enum value
    for IFLA_VXLAN_FAN_MAP (LP: #2124257)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 30 Sep 2025 12:41:45 +0200

iproute2 (6.16.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Ubuntu FAN support

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 27 Aug 2025 15:52:29 +0200

iproute2 (6.16.0-1) unstable; urgency=medium

  [ Atila KOÇ ]
  * Updated Turkish debconf translation and copyright information.

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/6.16.0'

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Aug 2025 11:30:18 +0100

iproute2 (6.14.0-1ubuntu3) questing; urgency=medium

  * Do not use stdout to print info about default fan map usage (LP: #2115790)
    - d/p/1003-ubuntu-poc-fan-dynamic-map.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 08 Jul 2025 09:57:59 +0200

iproute2 (6.14.0-1ubuntu2) questing; urgency=medium

  * Expose IFLA_VXLAN_FAN_MAP version via sysctl/proc (LP: #2106115)
    - d/p/1003-ubuntu-poc-fan-dynamic-map.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 27 Jun 2025 15:33:43 +0200

iproute2 (6.14.0-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ubuntu Fan Support
  * FAN: Bump IFLA_VXLAN_FAN_MAP to match the kernel. (LP: #2105484)

 -- Ubuntu Merge-o-Matic <mom@ubuntu.com>  Tue, 25 Mar 2025 15:20:15 +0000

iproute2 (6.13.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Reintroduce Ubuntu Fan Support (LP: #2064508)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 10 Feb 2025 23:02:00 -0600
