=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: iproute2
 Section: net
 Priority: optional
-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>
 Homepage: https://wiki.linuxfoundation.org/networking/iproute2
 Vcs-Browser: https://salsa.debian.org/kernel-team/iproute2
@@ -11,6 +12,7 @@
 Build-Depends: bison,
                debhelper-compat (= 13),
                dh-package-notes,
+               dh-sequence-movetousr,
                flex,
                libxtables-dev,
                libatm1-dev,
