=== debian/rules ===
--- 
+++ 
@@ -32,9 +32,8 @@
 execute_after_dh_clean:
 	make distclean
 
-override_dh_shlibdeps:
-	dh_shlibdeps -a -Xm_xt.so -Xm_ipt.so
-	dh_shlibdeps -a -- -pipmods -dRecommends -e debian/iproute2/usr/lib/$(DEB_HOST_MULTIARCH)/tc/m_xt.so -xlibc6
+override_dh_auto_configure:
+	dh_auto_configure -- --color=auto
 
 override_dh_auto_test:
 	# upstream test suite needs root and leaves machine unclean, skip it
@@ -43,3 +42,6 @@
 # package, so avoid shipping the manpage as well. See #873818
 override_dh_install:
 	dh_install -Xifstat.8
+
+override_dh_auto_install:
+	dh_auto_install --destdir $(CURDIR)/debian/tmp/
