=== debian/changelog ===
iproute2 (6.17.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.17.0'
  * Add override for typo false positive

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 Oct 2025 21:32:30 +0100
