=== debian/changelog ===
iproute2 (6.18.0-1ubuntu1) resolute; urgency=medium

  * Merge from debian/sid (6.18). Remaining changes:
    - Ubuntu FAN support
  * Dropped because those changes are already included in the rebase:
    - /d/p/1004-Sync-UAPI-if_link.h-with-Linux-6.17.patch
    - /d/p/2001-lib-Update-backend-of-print_size-to-accept-64-bit-si.patch
    - /d/p/2002-tc-Add-get_size64-and-get_size64_and_cell.patch
    - /d/p/2003-tc-Expand-tc_calc_xmittime-tc_calc_xmitsize-to-u64.patch
    - /d/p/2004-tc-police-enable-use-of-64-bit-burst-parameter.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 28 Jan 2026 10:07:38 +0100

iproute2 (6.18.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.18.0'
  * Install new netshaper program

 -- Luca Boccassi <bluca@debian.org>  Thu, 04 Dec 2025 16:52:57 +0000

iproute2 (6.16.0-1ubuntu3) resolute; urgency=medium

  * Modify tc police to permit burst sizes up greater than 4GB (LP: #2125448)
    - /d/p/2001-lib-Update-backend-of-print_size-to-accept-64-bit-si.patch
    - /d/p/2002-tc-Add-get_size64-and-get_size64_and_cell.patch
    - /d/p/2003-tc-Expand-tc_calc_xmittime-tc_calc_xmitsize-to-u64.patch
    - /d/p/2004-tc-police-enable-use-of-64-bit-burst-parameter.patch

 -- Jorge Merlino <jorge.merlino@canonical.com>  Wed, 05 Nov 2025 05:38:33 -0300
