=== debian/changelog ===
iproute2 (6.19.0-1) unstable; urgency=medium

  * Stop using dh-sequence-movetousr and manually move files in dh_install
    (Closes: #1122756)
  * Update upstream source from tag 'upstream/6.19.0'
  * Drop priority from d/control, now defaults to optional
  * Drop Rules-Requires-Root, now defaults to no
  * Bump Standards-version to 4.7.3
  * Install new dpll tool

 -- Luca Boccassi <bluca@debian.org>  Mon, 23 Feb 2026 00:01:28 +0000
