=== debian/control ===
--- 
+++ 
@@ -1,17 +1,14 @@
 Source: iproute2
 Section: net
-Priority: optional
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>
 Homepage: https://wiki.linuxfoundation.org/networking/iproute2
 Vcs-Browser: https://salsa.debian.org/kernel-team/iproute2
 Vcs-Git: https://salsa.debian.org/kernel-team/iproute2.git
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Build-Depends: bison,
                debhelper-compat (= 13),
                dh-package-notes,
-               dh-sequence-movetousr,
                flex,
                libxtables-dev,
                libatm1-dev,
